<template>
    <AppDashboard />
    <div class="sm:ml-64 mt-5">
        <div class="xl:mx-[10em]">
            <div class="chat chat-start invisible">
                <div class="chat-bubble bg-orange-300 text-black dark:bg-orange-700 dark:text-white">Salut mec !</div>
            </div>
            <div class="chat chat-end invisible">
                <div class="chat-bubble bg-amber-300 text-black dark:bg-amber-600 dark:text-white">Wow tu dates !</div>
            </div>
            <div class="chat chat-end invisible">
                <div class="chat-bubble bg-amber-300 text-black dark:bg-amber-600 dark:text-white">Ça va ?</div>
            </div>
            <div class="chat chat-start invisible">
                <div class="chat-bubble bg-orange-300 text-black dark:bg-orange-700 dark:text-white">Ça va ça va</div>
            </div>
            <div class="chat chat-start invisible">
                <div class="chat-bubble bg-orange-300 text-black dark:bg-orange-700 dark:text-white">Ouais je suis pas mal occupé en ce moment. J'ai un rapport de stage à faire.</div>
            </div>
            <div class="chat chat-start invisible">
                <div class="chat-bubble bg-orange-300 text-black dark:bg-orange-700 dark:text-white">D'ailleurs je sais que tu as du en faire un, tu n'aurais pas une astuce à me donner ?</div>
            </div>
            <div class="chat chat-end invisible">
                <div class="chat-bubble bg-amber-300 text-black dark:bg-amber-600 dark:text-white">Tu connais paxpar lite ?</div>
            </div>
            <div class="chat chat-start invisible">
                <div class="chat-bubble bg-orange-300 text-black dark:bg-orange-700 dark:text-white">Paxpar ?</div>
            </div>
            <div class="chat chat-end invisible">
                <div class="chat-bubble bg-amber-300 text-black dark:bg-amber-600 dark:text-white">Ouais, c'est une plateforme qui permet de rédiger son rapport de stage</div>
            </div>
            <div class="chat chat-start invisible">
                <div class="chat-bubble bg-orange-300 text-black dark:bg-orange-700 dark:text-white">Ouais mais si c'est pour tout rédiger, autant utiliser Word</div>
            </div>
            <div class="chat chat-end invisible">
                <div class="chat-bubble bg-amber-300 text-black dark:bg-amber-600 dark:text-white">Oui mais avec paxpar lite, tu peux vérifier si ton rapport est complet</div>
            </div>
            <div class="chat chat-end invisible">
                <div class="chat-bubble bg-amber-300 text-black dark:bg-amber-600 dark:text-white">Par exemple s'il te manque une partie importante pour le rapport, il te le dira</div>
            </div>
            <div class="chat chat-start invisible">
                <div class="chat-bubble bg-orange-300 text-black dark:bg-orange-700 dark:text-white">C'est donc plus intéressant que je ne le pensais</div>
            </div>



            <div class="mt-5 flex items-center text-5xl font-extrabold dark:text-white">paxpar<span class="bg-orange-100 text-orange-800 text-2xl font-semibold me-2 px-2.5 py-0.5 rounded-lg dark:bg-orange-200 dark:text-orange-800 ms-2">lite</span></div>
            

            <div class="mt-10 flex items-center text-4xl font-extrabold dark:text-white">Quèsaco ?</div>

            <div class="mt-5 flex text-justify text-md font-normal dark:text-white">
                <span>
                    <span class="font-bold">&nbsp;paxpar</span><span class="bg-orange-100 text-orange-800 text-sm font-semibold me-2 px-2.5 py-0.5 rounded-lg dark:bg-orange-200 dark:text-orange-800 ms-2">lite</span>
                est votre solution pour composer et vérifier vos documents, permettant ainsi de fluidifier toute création via une plateforme en charge de faire l'essentiel mais de manière efficace.
                Imaginez pouvoir, d'un simple click, vérifier la validité de votre document ?
                </span>
            </div>
        </div>
    
    </div>
</template>

<script>
export default {
    mounted() {
        setTimeout(() => {
            // Sélectionnez toutes les bulles de dialogue
            const chatBubblesStart = document.querySelectorAll('.chat-start');
            const chatBubblesEnd = document.querySelectorAll('.chat-end');
            
            // Parcourez chaque bulle de dialogue
            chatBubblesStart.forEach((bubble, index) => {
                // Définissez la position initiale
                bubble.style.transform = 'translateX(-100%)';
                bubble.style.opacity = '0';
                bubble.classList.remove('invisible');
                // Ajoutez une animation de slide-in avec un délai progressif
                setTimeout(() => {
                    bubble.style.transition = 'transform 0.7s ease-out, opacity 0.5s ease-out'; 
                    bubble.style.transform = 'translateX(0)';
                    bubble.style.opacity = '1'; 
                }, index * 200);
            });

            // Parcourez chaque bulle de dialogue
            chatBubblesEnd.forEach((bubble, index) => {
                // Définissez la position initiale
                bubble.style.transform = 'translateX(100%)';
                bubble.style.opacity = '0';
                bubble.classList.remove('invisible');
                // Ajoutez une animation de slide-in avec un délai progressif
                setTimeout(() => {
                    bubble.style.transition = 'transform 0.7s ease-out, opacity 0.5s ease-out'; 
                    bubble.style.transform = 'translateX(0)';
                    bubble.style.opacity = '1'; 
                }, index * 200);
            });
        }, 2000);
    }
}
</script>